from setuptools import setup, find_packages
from etude_fonction.constantes_etude_fonction import version

setup(
    name="etude_fonction",
    version=version,
    packages=find_packages(),
    include_package_data=True,
    entry_points={
        'console_scripts': [
            'etude_fonction = etude_fonction.etude_fonction:etude_fonction',
        ]
    },
    install_requires=["libcurses",
                      "libargfunc",
                      "documentex",
                      "sympy",
                      "pylatex",
                      "matplotlib",
                      "numpy",
                     ],

    author="David Denoncin",
    author_email="math@denoncin.fr",
    url="math.denoncin.fr",
    description="Génération de corrigés d'étude de fonctions",
    classifiers=[
        "Licence :: WTFPL"
    ]
)
